%define name    speedtouch
%define version 1.3.1
%define beta	0
%define mdkrelease 5mdk
%if %{beta}
%define release 2.beta%{beta}.%{mdkrelease}
%else
%define release %{mdkrelease}
%endif

Summary:	ALCATEL SpeedTouch USB ADSL modem user-space driver
Name:		%{name}
Version:	%{version}
Release:	%{release}
%if %{beta}
Source0:	http://prdownloads.sourceforge.net/speedtouch/%{name}-%{version}-beta%{beta}.tar.bz2
%else
Source0:	http://prdownloads.sourceforge.net/speedtouch/%{name}-%{version}.tar.bz2
%endif
Source1:	speedtouch-1.3-conf.bz2
Source2:	80-speedtch.rules
Patch0:		speedtouch-1.3.1-usb.patch.bz2
Patch2:		speedtouch-1.2-beta3-return-2-firmware-not-found.patch.bz2
Patch3:		speedtouch-1.3.1-onboot.patch.bz2
Patch4:         speedtouch-1.3.1-gcc4.patch.bz2
URL:		http://speedtouch.sf.net/
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	ppp
BuildRequires:	hotplug

%description
ALCATEL SpeedTouch USB ADSL modem user-space driver. This package contains 
all the necessary software to use your SpeedTouch USB modem under Linux. It
currently support only PPPoA encapsulation.

%prep
%if %{beta}
%setup -q -n %{name}-%{version}-beta%{beta}
%else
%setup -q
%endif
%patch0 -p1 -b .usb
%patch2 -p1 -b .firm-not-found
%patch3 -p1 -b .onboot
%patch4 -p1 -b .gcc4
perl -pi -e 's!/etc/speedtouch/speedtouch.conf!/etc/speedtouch.conf!g' src/speedtouch-*.in

%build
%configure --enable-release --enable-syslog --enable-install=`whoami` 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d -m 755 %{buildroot}%{_datadir}/speedtouch/
install -d -m 755 %{buildroot}%{_sysconfdir}
install -d -m 755 %{buildroot}%{_bindir}
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/speedtouch.conf
ln -s %{_sbindir}/pppoa2 %{buildroot}%{_bindir}/pppoa2
ln -s %{_sbindir}/pppoa3 %{buildroot}%{_bindir}/pppoa3

# move hotplug script to udev
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb/speedtouch.usermap
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb/speedtouch
install -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/udev/rules.d/80-speedtch.rules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/speedtouch-*
%{_sbindir}/modem_run
%{_sbindir}/pppoa*
%{_bindir}/pppoa*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/speedtouch
%{_sysconfdir}/udev/rules.d/80-speedtch.rules
%config(noreplace) %{_sysconfdir}/speedtouch.conf
%doc %{_docdir}/speedtouch

%changelog
* Thu Sep 15 2005 Olivier Blin <oblin@mandriva.com> 1.3.1-5mdk
- Source2: run speedtouch-start when the driver is registered
- Patch3: don't modify hotplug script, it isn't used anymore

* Wed Sep 14 2005 Olivier Blin <oblin@mandriva.com> 1.3.1-4mdk
- remover script is gone, wait for /usr/share/speedtouch instead
  (in the hotplug script)

* Sat Aug 27 2005 Olivier Blin <oblin@mandriva.com> 1.3.1-3mdk
- move hotplug script in %{_sysconfdir}/udev/agents.d/usb

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.1-2mdk
- Patch 4: Fix Build with gcc4

* Mon Apr 25 2005 Olivier Blin <oblin@mandriva.com> 1.3.1-1mdk
- 1.3.1
- rediff Patch0

* Thu Mar 24 2005 Olivier Blin <oblin@mandrakesoft.com> 1.3-10mdk
- add --nocall option to speedtouch-start

* Tue Feb 15 2005 Olivier Blin <oblin@mandrakesoft.com> 1.3-9mdk
- try to use mgmt_rev2.o for purple modems

* Fri Sep 24 2004 Olivier Blin <blino@mandrake.org> 1.3-8mdk
- wait /var to be read-write before uploading firmware
  (it means usbfs is mounted too)
- do not fail if REMOVER is a directory

* Wed Sep 22 2004 Olivier Blin <blino@mandrake.org> 1.3-7mdk
- merge Patch1 in Patch3, setup remover script after firmware
  is sent to the modem because the hotplug script can fail to write
  the remover script (hotplug likes to pass directories as remover
  filename, or to pass read-only files as remover)

* Mon Sep 20 2004 Olivier Blin <blino@mandrake.org> 1.3-6mdk
- Patch3: handle --boot argument in speedtouch-start
  (do not start connection when called from hotplug script
   if connection isn't configured to start on boot)
- set PPPD_PEER=ppp0 in speedtouch.conf

* Mon Sep 20 2004 Olivier Blin <blino@mandrake.org> 1.3-5mdk
- Patch1: wait /var to be read-write before writing remover script
  (i.e. gorettize hotplug script so that it doesn't fail)

* Wed Sep  8 2004 Olivier Blin <blino@mandrake.org> 1.3-4mdk
- update speedtouch.conf file :
  o use free boot block for modems of revision != 4

* Wed Sep  8 2004 Olivier Blin <blino@mandrake.org> 1.3-3mdk
- update speedtouch.conf file :
  o do not use free boot block, it won't work with rev4 modems
  o use mgmt_rev4.o if file exists and a rev4 modem is detected

* Mon Aug  2 2004 Olivier Blin <blino@mandrake.org> 1.3-2mdk
- replace Patch1 with Source1 (speedtouch.conf file)
- don't install the speedtouch.sh file
- Patch0: do not load usb in speedtouch-start
  (hotplug and the initscripts already do that)

* Tue Jul 27 2004 Olivier Blin <blino@mandrake.org> 1.3-1mdk
- 1.3 final
- replace patch4 with a perl one-liner
- merge patch1 and patch3
  (drop the speedtouch.sh part since it's not used anymore)
- rpmbuildupdate aware

* Thu Jul 22 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.3-1.beta1.3mdk
- make the hotplug script source /etc/speedtouch.conf like the init script.

* Tue Jun 29 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3-1.beta1.2mdk
- fix buildrequires
- cosmetics

* Mon May 10 2004 Damien Chaumette <dchaumette@mandrakesoft.com> 1.3-1.beta1.1mdk
- 1.3-beta1
- hotplug now handle firmware uploading

* Thu Mar 25 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.2-3mdk
- 1.2 final version.

* Fri Mar 19 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.2-2.beta3.2mdk
- update driver to cvs 20040220, support rev4 modem (silver).

* Wed Mar 10 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.2-2.beta3.1mdk
- 1.2-beta3.
- fixup package name (start with 2 to prevent communauty package update).
- use kernel mode with 2.6 kernel (speedtouch.sh).

* Mon Feb 10 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.2-1mdk
- new version 1.2-beta1

* Sat Jan 11 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.1-2mdk
- fix speedtouch.sh patch

* Mon Dec  2 2002 Laurent Culioli <laurent@pschit.net> 1.1-1mdk
- 1.1
- regenerate patch
- added backward compatibility symlinks for old binary location
- clean specfile

* Thu Aug  1 2002 Damien Chaumette <dchaumette@mandrakesoft.com> 1.0-3mdk
- add a new patch to fix wrong "failed" msg at connection start

* Wed Feb 27 2002 dam's <damien@mandrakesoft.com> 1.0-2mdk
- applied mandrake configuration to launch script

* Wed Jan 23 2002 dam's <damien@mandrakesoft.com> 1.0-1mdk
- patchs corrected
- version 1.0

* Thu Sep  6 2001 dam's <damien@mandrakesoft.com> 0.01_20010815-5mdk
- corrected bad rights

* Sun Sep  2 2001 dam's <damien@mandrakesoft.com> 0.01_20010815-4mdk
- new connection script

* Tue Aug 28 2001 dam's <damien@mandrakesoft.com> 0.01_20010815-3mdk
- adsl.sh -> speedtouch.sh

* Fri Aug 24 2001 dam's <damien@mandrakesoft.com> 0.01_20010815-2mdk
- added patch n1 (script)

* Fri Aug 17 2001 dam's <damien@mandrakesoft.com> 0.01-20010815-1mdk
- 08.15.2001 version

* Thu Jul 19 2001 dam's <damien@mandrakesoft.com> 0.01-1mdk
- First mandrake package
